%global project     polyglot
%global commitdate  20140902
%global commit      f46ee068860d363ace27004ec4da588bf4b48147
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{project}-chess
Version:        1.4
Release:        2.%{commitdate}git%{shortcommit}%{?dist}
Summary:        Polyglot chess opening book program

License:        GPLv2+
URL:            https://github.com/sshivaji/%{project}
Source0:        %{url}/archive/%{commit}.tar.gz#/%{project}-%{shortcommit}.tar.gz

# cmake, https://github.com/sshivaji/polyglot/issues/2
Source1:        %{project}-CMakeLists.txt
Source10:       https://raw.githubusercontent.com/bitcoinjs/bzing/master/cmake/FindLevelDB.cmake

# ubuntu provides some nice things
Source20:         https://launchpadlibrarian.net/4993987/%{project}_1.4-2.diff.gz

BuildRequires:  cmake
BuildRequires:  leveldb-devel


%description
PolyGlot is a "UCI adapter". It connects a UCI chess engine to an
xboard interface such as WinBoard. UCI2WB is another such adapter
(for Windows).
PolyGlot tries to solve known problems with other adapters. For
instance, it detects and reports draws by fifty-move rule, repetition,
etc ...

New Features: Builds a polyglot book but supports a leveldb position/game
index as well. The leveldb option can be enabled with -leveldb 
 

%prep
%setup -qn%{project}-%{commit}
zcat %{SOURCE20} |patch -p1
# use proper Fedora flags
rm src/Makefile
cp %{SOURCE1} src/CMakeLists.txt
# W: wrong-file-end-of-line-encoding
sed -i 's,\r$,,' readme.txt
# rename binary
sed 's,%{project},%{name},' debian/%{project}.6 >%{name}.6
sed -i 's,%{project},%{name},' src/CMakeLists.txt
# let cmake find leveldb
sed 's,\(find_library.*\)\(.\),\1 libleveldb.so\2,' %{SOURCE10} >src/FindLevelDB.cmake


%build
%cmake src
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_bindir}
cp -p %{name} %{buildroot}%{_bindir}
# debian patches
mkdir -p %{buildroot}%{_mandir}/man6
cp -p %{name}.6 %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp -p debian/example-files/*.ini %{buildroot}%{_sysconfdir}/%{name}
# W: unstripped-binary-or-object
chmod +x %{buildroot}%{_bindir}/%{name} 


%files
%license LICENSE
%doc readme.txt README.md
%{_mandir}/man*/%{name}*
%config(noreplace) %{_sysconfdir}/%{name}/*.ini
%{_bindir}/%{name}


%changelog
* Sun Mar 01 2015 Raphael Groner <projects.rg@smart.ms> - 1.4-2.20140902gitf46ee06
- implement cmake
- distribute manpage and openbook from ubuntu

* Sat Feb 28 2015 Raphael Groner <projects.rg (AT) smart.ms> - 1.4-1.20140902gitf46ee06
- initial
